4.4.3 Performing an Installation with Limited Privileges

Table of Contents Previous Next



To perform an abbreviated installation of Advanced Server without access to root or administrative privileges, invoke the installer from the command line and include the ‑‑extract-only option. Invoking the installer with the ‑‑extract-only option extracts the binary files in an unaltered form, allowing you to experiment with a minimal installation of Advanced Server.
If you invoke the installer with the --extract-only option, you must manually start and stop the server with pg_ctl. For more information about starting the Advanced Server service, see Section 5.2.3, Using pg_ctl to Control Advanced Server.
If you include the --extract-only option when you invoke the installer, the installer steps through a shortened form of the installation wizard. During the brief installation process, the installer generates an installation script that can be later used to complete a more complete installation. To invoke the installation script, you must have superuser privileges on Linux or administrative privileges on Windows.
./ppasmeta-9.5.x.x-linux.run --extract-only yes
ppasmeta-9.5.x.x-windows.exe --extract-only yes
C:\Users\susan\Desktop\one.png
Click Next to continue to the Advanced Server license agreement (shown in Figure 4.55).
C:\Users\susan\AppData\Local\Temp\vmware-susan\VMwareDnD\d8617b27\two.png
After reading the license agreement, select the appropriate radio button and click Next to continue to the User Authentication window (shown in Figure 4.56).
C:\Users\susan\AppData\Local\Temp\vmware-susan\VMwareDnD\9517e772\three.png
Enter the email address of a registered account in the Email field, and the corresponding password in the Password field, and click Next to continue.
C:\Users\susan\AppData\Local\Temp\vmware-susan\VMwareDnD\da697d37\four.png
The Extract Mode window (shown in Figure 4.57) serves as a reminder that this is a limited installation, and as such, Update Monitor will not be able to notify you of available updates for the software included in this installation. Click Next to continue to the Installation Directory window (shown in Figure 4.58).
C:\Users\susan\AppData\Local\Temp\vmware-susan\VMwareDnD\979ce0e7\five.png
C:\Program Files (x86)\PostgresPlus\9.5AS
You can accept the default installation location, and click Next to continue to the Ready to Install window (shown in Figure 4.59), or optionally click the File Browser button to choose an alternate installation directory.

C:\Users\susan\AppData\Local\Temp\vmware-susan\VMwareDnD\d8e87abc\six.png
Click Next to proceed with the Advanced Server installation.

C:\Users\susan\AppData\Local\Temp\vmware-susan\VMwareDnD\d86b7bb8\seven.png
C:\Users\susan\AppData\Local\Temp\vmware-susan\VMwareDnD\9594e676\nine.png
Specify oracle mode to include the following functionality:
Oracle-styled concatenation rules (if you concatenate a string value with a NULL value, the returned value is the value of the string).
Schemas (dbo and sys) compatible with Oracle databases added to the SEARCH_PATH.
This is not a comprehensive list of the compatibility features for Oracle included when Advanced Server is installed in Compatible with Oracle mode; more information about Advanced Server is available in the Database Compatibility for Oracle Developer’s Guide, available at:
If you choose to install in Compatible with Oracle mode, the Advanced Server superuser name is enterprisedb.
Specify Postgresql to install Advanced Server with complete compatibility with Postgres version 9.5.
If you choose to install in Compatible with PostgreSQL mode, the Advanced Server superuser name is postgres.
Specify a locale for the Advanced Server installation. If you accept the DEFAULT value, the locale defaults to the locale of the host system.
Press Return, or enter Y to accept the default, and install the sample tables and procedures; enter an N and press Return to skip this step.
Specify and confirm a password for the database superuser. By default, the database superuser is named enterprisedb. (On Windows, there is no password validation if you are logged in as an administrator but you may be prompted to supply a service account password.)
==================
SERVER UTILIZATION
==================
Please enter the server utilization: [66]:
The server utilization value is used as an initial value for the edb_dynatune configuration parameter. edb_dynatune determines how Advanced Server allocates system resources.
After the installation is complete, you can adjust the value of edb_dynatune by editing the postgresql.conf file. After editing the postgresql.conf file, you must restart the server for the changes to take effect.
The workload profile value is used as an initial value for the edb_dynatune_profile configuration parameter. edb_dynatune_profile controls performance-tuning based on the type of work that the server performs.
Specify oltp if the server will be processing heavy online transaction workloads.
Specify mixed if the server will provide a mix of transaction processing and data reporting.
Specify reporting if the database server will be used for heavy data reporting.
After the installation is complete, you can adjust the value of edb_dynatune_profile by editing the postgresql.conf file and restarting the server.
Before continuing with the installation, the installer displays the selected options and initializes the database cluster in preparation for the installation of individual components. When the installer has prepared the system for the installation, the installation begins. Before installing a component, the installer prompts you to select modules for installation. With each component, onscreen warnings may alert you to unresolved dependencies.
Slony facilitates master-standby replication suited for large databases with a limited number of standby systems.
==============
PGBOUNCER PORT
==============
NOTE: We will not be able to examine, if port is currently used by other application.

Please enter the port on which PgBouncer will listen: [6432]:
For more information about Infinite Cache and the icache daemon, see the EDB Postgres (Postgres Plus) Migration Guide, available at:
EDB*Plus is the Advanced Server command line interface that offers compatibility with Oracle’s SQL Plus commands. The installer will prompt you for the absolute path of java on your system; Java 1.7 or higher is required for EDB*Plus.
Select the Postgres Enterprise Manager Client option to install the PEM Client application. The PEM Client provides a powerful graphical interface for database management and monitoring.


Table of Contents Previous Next